curl --request PATCH \
--url https://api.synctera.com/v1/batches/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"batched_transfer_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tenant": "abcdef_ghijkl"
}
'import requests
url = "https://api.synctera.com/v1/batches/{id}"
payload = {
"batched_transfer_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"tenant": "abcdef_ghijkl"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
batched_transfer_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
tenant: 'abcdef_ghijkl'
})
};
fetch('https://api.synctera.com/v1/batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": 123,
"batch_payment_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batched_transfer_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"status": "CANCELLED",
"payment_rail": "<string>",
"payment_rail_transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant": "abcdef_ghijkl",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Update Batch Payment
Update a Batch Payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID
Body
Attributes of the Batch Payment for udpate
The IDs of the transfers that are part of the batch. These values can be modified by the client before the batch is in a terminal status.
The status of a Batch
CANCELLED, COMPLETED, DECLINED, INITIATED, PENDING_APPROVAL, PENDING_PAYMENT, RETURNED The id of the tenant containing the resource.
"abcdef_ghijkl"
Response
Successful update of a Batch Payment
A Batch Payment is a collection of transfers that are processed together. These transfers represent a new transfer on the ledger.
The total amount of the batch transfer.
The ID of the batch Payment template that was used to create the batch.
The IDs of the transfers that are part of the batch. These values can be modified by the client before the batch is in a terminal status.
"2010-05-06T12:23:34.321Z"
"d290f1ee-6c54-4b01-90e6-d701748f0851"
"2010-05-06T12:23:34.321Z"
The status of a Batch
CANCELLED, COMPLETED, DECLINED, INITIATED, PENDING_APPROVAL, PENDING_PAYMENT, RETURNED The payment rail that was used to process the batch.
The ID of the payment rail transfer that was used to process the batch.
The id of the tenant containing the resource.
"abcdef_ghijkl"
The transaction ID of the batch which represents a transaction on the ledger.
Was this page helpful?

